# 32/64bit spec-file
%define prefix /usr
%define name xt7-player
%define version 3.4.0
%define release %mkrel 1
%define url http://linux.softpedia.com/get/Multimedia/Video/Xt7-Player-39994.shtml

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	Yet another GUI for MPlayer.
Summary(de):	Ein weiteres GUI für MPlayer.
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gambas3 mplayer 
Requires:       glibc >= 2.12.1
Requires:       libstdc++6 >= 4.5.2
Obsoletes:	%name < %version

%description
Xt7-Player is yet another GUI (Graphical User Interface) for MPlayer. 
It aims to be a complete interface to its tons of options, while 
trying to keep usability in mind.


#german
%description -l de
XT7-Player ist noch eine weitere GUI (Graphical User Interface) für MPlayer. 
Es zielt darauf ab, eine vollständige Schnittstelle mit allen 
Optionen zu sein, dabei jedoch Übersichtlich zu bleiben.

%prep

%setup -q -n %{name}-%{version}

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/%{name}/xt7-player.png %buildroot%_datadir/pixmaps/xt7-player.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=xt7-player
Comment=Yet another gui for mplayer
Comment[pt_BR]=Reprodutor de mÃ­dia
Comment[it_IT]=Una gui quasi completa per mplayer
Comment[de]=Ein weiteres GUI für MPlayer.
Exec=xt7-player.gambas
Icon=/usr/share/pixmaps/xt7-player.png
Terminal=false
Type=Application
StartupNotify=true
MimeType=audio/mp3;audio/mpeg3;audio/mpeg4;audio/mpg;audio/mpeg;audio/mpegurl;audio/m3u;audio/mp4;audio/wav;video/msvideo;video/mpeg4;video/mpeg;video/x-m4v;video/x-mpeg;video/x-mpeg2;video/mp4;video/x-msmpeg;video/vnd.mpegurl;video/x-mpegurl;video/x-msvideo;video/quicktime;video/x-qtc;audio/x-ms-asf;audio/x-ms-asx;audio/x-ms-wma;audio/x-ms-wax;audio/x-ms-wmp;audio/x-ms-wmv;video/x-ms-asf;video/x-ms-asf-plugin;video/x-ms-asx;video/x-ms-wax;video/x-ms-wmp;video/x-ms-wmv;video/x-ms-wma;video/x-ms-wvx;video/x-ms-wmx;video/x-ms-wm;application/asx;application/x-ms-asf;application/vnd.ms-asf;application/x-ms-wmd;application/x-ms-wmz;audio/scpls;audio/x-scpls;audio/x-pls;audio/vnd.mpegurl;audio/x-mpg;audio/x-mpeg;audio/x-mpeg3;audio/x-mpegurl;audio/x-realaudio;audio/x-pn-realaudio;audio/x-pn-realaudio-plugin;application/x-pn-realaudio;audio/vnd.rn-realaudio;video/x-realvideo;video/x-pn-realvideo;video/vnd.rn-realvideo;video/x-pn-realvideo-plugin;application/vnd.rn-realmedia;application/vnd.rn-realmedia-vbr;application/vnd.rn-realplayer;application/sdp;application/smil;application/x-smil;application/streamingmedia;application/x-streamingmedia;video/nsv;audio/x-mp3;video/x-ogm;video/x-theora;audio/vorbis;audio/x-vorbis;audio/x-oggflac;application/x-ogg;application/ogg;audio/mp1;audio/x-mp1;audio/mp2;audio/x-mp2;audio/x-wav;video/avi;video/x-avi;video/x-divx;video/x-fli;video/x-matroska;audio/x-matroska;application/x-mplayer2;application/x-cda;audio/aac;audio/ac3;audio/basic;audio/m4a;audio/x-aac;audio/x-adpcm;audio/x-flac;audio/x-m3u;audio/x-m4a;audio/x-musepack;audio/x-pn-windows-pcm;video/x-3gpp;video/x-3gpp2;video/mediaplayer;uri/mms;uri/mmst;uri/mmsu;uri/pnm;uri/rtsp;uri/rtspt;uri/rtspu;
Categories=Categories=Application;X-MandrivaLinux-Multimedia-Video;AudioVideo;Video
EOF


%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}.gambas
%{_datadir}/pixmaps/xt7-player.png
%{_datadir}/applications/%{name}.desktop
%doc AUTHORS COPYING ChangeLog README


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sun Apr 17 2013 daniel <meisssw01 at aol.com> 3.4.0-1leiche2013
- 2.9.917
- add requires for new glibc

* Wed Jan 12 2011 leiche <meisssw01 at aol.com> 0.9.299-1leiche2011
- import to PCLinuxOS
